![Monstercat Visualizer Screenshot](https://i.imgur.com/cu1R235.png "Monstercat Visualizer Screenshot")

# Monstercat Visualizer
[![GitHub release](https://img.shields.io/github/release/MarcoPixel/Monstercat-Visualizer.svg?colorB=97CA00?label=version)](https://github.com/MarcoPixel/Monstercat-Visualizer/releases/latest) [![Github All Releases](https://img.shields.io/github/downloads/MarcoPixel/Monstercat-Visualizer/total.svg?colorB=97CA00)](https://github.com/MarcoPixel/Monstercat-Visualizer/releases) [![GitHub stars](https://img.shields.io/github/stars/MarcoPixel/Monstercat-Visualizer.svg?colorB=007EC6)](https://github.com/MarcoPixel/Monstercat-Visualizer/stargazers)  [![GitHub license](https://img.shields.io/badge/license-MIT-blue.svg)](https://raw.githubusercontent.com/MarcoPixel/Monstercat-Visualizer/master/LICENSE)

A realtime audio visualizer for Rainmeter similar to the ones used in the Monstercat videos.

Supports all major media players, including full **Spotify**, **Google Play Music Desktop Player** and **Chrome/Firefox webplayer** support (thanks to **[RobertFrydenlund](https://github.com/RobertFrydenlund/SpotifyPlugin)** and **[@tjhrulz](https://github.com/tjhrulz)** for the amazing plugins used in this skin).

## Minimum Requirements:
 - Windows 7 or higher.
 - Rainmeter 4.2 Beta (r3074) or higher.

## Features

- Live visualization of the audio output
- Customizable colors and fonts
- Genre-based colors (AIMP, CAD, iTunes, WMP and Winamp)
- Cover-based colors (All supported players)
- Support for all major media players
- Full Spotify (Desktop & Web Player) support
- Full Google Play Music Desktop Player & Web Player support
- Full Youtube, Soundcloud, and other web music players
- Media controls & progress bar
- Settings skin for easier customization/configuration
- Hide skin when media player is not running

## Important notes


- You need at least **Rainmeter 4.2 Beta (r3074) or higher** to get all features of this skin. You can find the newest version on https://www.rainmeter.net/
- After installation you can access the settings by right-clicking the visualizer or song information and then clicking on Open Settings.
- Due to limitations of Rainmeter/the plugin used for the visualization the complete audio output of your system will be shown on the visualizer. For the best experience only play music. This is something I can’t fix.

## Getting started

### Automatic installation

**1.**&nbsp;  Download the latest skin here: **https://github.com/MarcoPixel/Monstercat-Visualizer/releases**

**2.**&nbsp;  Install the skin by **double-clicking** the .rmskin file and going through the installer.

**3.**&nbsp;  After finishing the setup Rainmeter will open the settings skin where you can access additional options.

**4.**&nbsp;  You're done! Enjoy your new desktop visualizer!

### Manual installation

**1.**&nbsp;  Clone this repo to `Documents\Rainmeter\Skins`.

**2.**&nbsp;  Go to `.installer\plugins` and then move the 32 or 64-bit plugins (depending on your system) to `AppData\Roaming\Rainmeter\Plugins`.

**2a.**&nbsp;  If you plan to use **WebNowPlaying** install either the [Chrome](https://chrome.google.com/webstore/detail/webnowplaying-companion/jfakgfcdgpghbbefmdfjkbdlibjgnbli) or [Firefox](https://addons.mozilla.org/en-US/firefox/addon/webnowplaying-companion/) plugins

**3.**&nbsp;  Launch Rainmeter and right-click the tray icon, press Skins and go to **Monstercat-Visualizer** and open `Settings\intro\intro.ini`.

**4.**&nbsp;  You're done! Enjoy your new desktop visualizer!
To access the settings, right-click the visualizer and press Open &nbsp;&nbsp;&nbsp;Settings.

## Troubleshooting and FAQs

You can access the frequently asked questions and our troubleshooting guide in our wiki.
#### [Click here to open the wiki](https://github.com/MarcoPixel/Monstercat-Visualizer/wiki).

## Issues & feature requests

If you still have issues or a bug, please report them [here](https://github.com/MarcoPixel/Monstercat-Visualizer/issues). Be sure to follow the existing template and fill out the necessary information, otherwise it will be closed without notice.

You can also request new features and help them develop by joining the discussion. Just add the **request label** to your issue and we will have a look!

#### [Click here to get to the open issues](https://github.com/MarcoPixel/Monstercat-Visualizer/issues).

## Credits

- **Rainmeter Skin** - **[@marcopixel](https://github.com/marcopixel) & [@tjhrulz](https://github.com/tjhrulz)**
- **Spotify Plugin** - **[@robertfrydenlund](https://github.com/RobertFrydenlund/SpotifyPlugin)**
- **Google Play Music Desktop Player Plugin** - **[@tjhrulz](https://github.com/tjhrulz/GPMDP-Plugin)**
- **WebNowPlaying Plugin** - **[@tjhrulz](https://github.com/tjhrulz/WebNowPlaying)**
- **Montserrat Font** - **[@JulietaUla](https://github.com/JulietaUla/Montserrat)**
- **Media Controls Icons** - **[Material Icons](https://material.io/icons/)**
- **Additional Icons** - **[Feather Icons](https://feathericons.com/)**
- Thanks to **[@undefinist](https://github.com/undefinist)** for letting me use his factory code (made everything so much easier and cleaner) :thumbsup:
- Thanks to **[@alatsombath](https://github.com/alatsombath)** for letting me use his rotation and audio device picker code :thumbsup:
- For bringing awesome music and artists to the community - **Monstercat** <3

##### Disclaimer: The resources used in this skin are in no way endorsed by the respective owners. This skin is not affiliated with Monstercat and the artists.
